Faille de sécurité des processeurs Intel

Tous les sujets touchant à la sécurité du système.
Avatar du membre
Insam
Messages : 3483
Enregistré le : mer. 15 juil. 2015 15:03
Localisation : Breizh-Izel

Re: Faille de sécurité des processeurs Intel

Message par Insam » lun. 8 janv. 2018 21:05

Dernier message de la page précédente :

Je ne sais pas quelle faille concerne la liste sur le site Intel.
je l'ai indiquée au milieu de ce post.

Il y est juste listé les procs à partir de la 2ème génération en ce qui concerne les Intel core , les core 2 duo Conroe comme le mien ne font même pas partie de la première génération et sont juste logiciels, donc 1 seul cœur en réalité. c'est plus tard que les core 2,3,4 seront vraiment multicoeurs.

Cela dit, cette liste est parue avant que les chercheurs retrouvent les failles sur du matos encore plus ancien !
les lignes de com actuelles pour savoir si on est impacté sont un chef d’œuvre d'imprécision et ne servent donc apparemment qu'à faire patienter et/ou masquer la panade sans nom dans laquelle les fondeurs sont actuellement plongés.
Image

Avatar du membre
mpat
Messages : 7850
Enregistré le : mar. 25 août 2015 21:12
Localisation : Belgique

Re: Faille de sécurité des processeurs Intel

Message par mpat » lun. 8 janv. 2018 21:12

heu ..... déjà qu'il faut être hyper calé pour pouvoir se servir de cette faille qui n'a pas encore été explotée, et en admettant qu'il y ait un gars capable de le faire, je pense pas qu'il ira attaquer un inconnu du côté de Breizh-Izel
Clevo P775DM3-G
I7 -7700k (quad-core (8 threads) 4.2-4.5 ghz
ram 64go DDR4
Nvidia gtx 1080 8go GDDR5X
2 x ssd 500go m.2 Samsung + 2 to ssd Samsung
Lmint 18.3 Cinnamon 64bit, kernel 4.13.0-45

Avatar du membre
Insam
Messages : 3483
Enregistré le : mer. 15 juil. 2015 15:03
Localisation : Breizh-Izel

Re: Faille de sécurité des processeurs Intel

Message par Insam » lun. 8 janv. 2018 21:15

Tout à fait mpat !
Personnellement je me fou un peu de cette histoire pour ce qui concerne mon poste, je trouve juste le sujet suffisamment intéressant et instructif pour avoir eu envie de creuser un peu.
Image

Avatar du membre
Jeep
Messages : 46
Enregistré le : dim. 6 août 2017 12:44

Re: Faille de sécurité des processeurs Intel

Message par Jeep » lun. 8 janv. 2018 22:42

mpat a écrit :heu ..... déjà qu'il faut être hyper calé pour pouvoir se servir de cette faille qui n'a pas encore été explotée, et en admettant qu'il y ait un gars capable de le faire, je pense pas qu'il ira attaquer un inconnu du côté de Breizh-Izel

C'est certainement ce qu'on du se dire une bonne partie des centaines de milliers de personnes victimes de wannacry.
Il ne sert à rien de paniquer mais ce n'est qu'une question de temps avant que des outils clé en main qui permettent d'exploiter ces failles se retrouvent en vente ou diffusés librement. Surtout que Spectre ne peut pas être totalement patché et touche quasiment tous les processeurs grand public actuellement en service.
C'est du pain béni pour les crackers une faille pareille.
PC portable : Samsung R780 - Intel Core i5 M430 - 8Go Ram - NVIDIA GeForce GT 330M
Linux Mint 18.3 64 bit - Cinnamon 3.6.7 - Noyau 4.10.0

kshatriya
Messages : 10
Enregistré le : mer. 30 août 2017 09:29

Re: Faille de sécurité des processeurs Intel

Message par kshatriya » mar. 9 janv. 2018 01:05

cyberbleuet a écrit :Pour savoir si votre processeur est dans la liste de vulnérabilité intel a mis un script pour en faire la vérification télécharger SA00086_Linuxtar.gz - For Linux* Users voici le lien: https://downloadcenter.intel.com/download/27150 l'extraire dans un répertoire, ouvrir le répertoire en root, et exécuté intel_saooo86.py et voir les fichiers générer (sa000.86user...) dans le répertoire, moi mon celeron 1.6 passe / Status: NOTVULNERABLE
Salut,

Tu es sur de la validité de ce test, parce que franchement, je croyais l'avoir dans l'baba...

Manufacturer: System manufacturer
Model: System Product Name
Processor Name: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
OS Version: LinuxMint 18.3 sylvia (4.10.0-38-generic)

*** Intel(R) ME Information ***
Engine: Intel(R) Management Engine
Version: 8.1.2.1318
SVN: 0

*** Risk Assessment ***
Based on the analysis performed by this tool: This system is not vulnerable.
System: Kernel: 4.10.0-33-generic x86_64 (64 bit)
Desktop: Xfce 4.12.3 Distro: Linux Mint 18.2 Sonya
CPU: Quad core Intel Core i7-3770 (-HT-MCP-)
Memory: 1750.5/7858.1MB
Graphics: Advanced Micro Devices [AMD/ATI] Pitcairn PRO [Radeon HD 7850 / R7 265 / R9 270 1024SP]
CONTACT : julius_barone@jabber.at

Avatar du membre
Robinwood
Messages : 6034
Enregistré le : mar. 28 juil. 2015 20:30
Localisation : Auvergne

Re: Faille de sécurité des processeurs Intel

Message par Robinwood » mar. 9 janv. 2018 09:59

Asus x751ma SSD samsung 850 evo - 8Go RAM
kde neon plasma 5.16
Acer aspire E360 CG Radeon R5-230 - 2,5Go RAM
linuxmint 19.2 xfce Noyau 5.0.0
Firefox Audacious mpv Xplayer

Avatar du membre
Jeep
Messages : 46
Enregistré le : dim. 6 août 2017 12:44

Re: Faille de sécurité des processeurs Intel

Message par Jeep » mar. 9 janv. 2018 11:54

kshatriya a écrit :
cyberbleuet a écrit :Pour savoir si votre processeur est dans la liste de vulnérabilité intel a mis un script pour en faire la vérification télécharger SA00086_Linuxtar.gz - For Linux* Users voici le lien: https://downloadcenter.intel.com/download/27150 l'extraire dans un répertoire, ouvrir le répertoire en root, et exécuté intel_saooo86.py et voir les fichiers générer (sa000.86user...) dans le répertoire, moi mon celeron 1.6 passe / Status: NOTVULNERABLE
Salut,

Tu es sur de la validité de ce test, parce que franchement, je croyais l'avoir dans l'baba...

Cet outil n'a aucun rapport avec les failles Meltdown et Spectre.
C'est indiqué sur la page de téléchargement, il concerne la faille INTEL-SA-00086 du Management Engine (ME) :

https://www.intel.com/content/www/us/en ... tware.html

En français :

https://www.intel.fr/content/www/fr/fr/ ... tware.html
PC portable : Samsung R780 - Intel Core i5 M430 - 8Go Ram - NVIDIA GeForce GT 330M
Linux Mint 18.3 64 bit - Cinnamon 3.6.7 - Noyau 4.10.0

Avatar du membre
Insam
Messages : 3483
Enregistré le : mer. 15 juil. 2015 15:03
Localisation : Breizh-Izel

Re: Faille de sécurité des processeurs Intel

Message par Insam » mar. 9 janv. 2018 13:12

Jeep a écrit :...Cet outil n'a aucun rapport avec les failles Meltdown et Spectre.
C'est indiqué sur la page de téléchargement, il concerne la faille INTEL-SA-00086 du Management Engine (ME) ...
Ah!...Encore une bien bonne !
Y z'entretiennent bien le flou chez Intel, il est évident que 90% des internautes n'ont pas les connaissances pour démêler de quoi il est réellement question !
Toute la com sur le sujet est un florilège de quiproquos orchestrés pour continuer le buzz et balader le quidam en "patchant" ses inquiétudes avec des scripts/cataplasme.
L'a raison là le père Torval ! Comment meubler de l'info creuse, c'est un pur exercice de langue de bois.

Par contre je verrais d'un bon œil qu'ils bradent leurs produits "défectueux" chez intel, pas vous ?
Image

Avatar du membre
niamor
Messages : 319
Enregistré le : lun. 13 juil. 2015 23:16
Localisation : Metz, France

Re: Faille de sécurité des processeurs Intel

Message par niamor » mar. 9 janv. 2018 19:54

Bonsoir,

J'ai publié à l'instant ce message concernant Meltdown and Spectre.
C'est un lien vers l'article du Blog Linux Mint
Ordinateur portable Toshiba Satellite A200-2BT / Linux Mint 18.3 Mate 64 bit
CPU
: Dual core Intel Pentium Dual CPU T3200
Kernel : 4.13.0-39 RAM : 2 GB / HDD : 160 GB

Pour vous tenir informé(e) des nouveautées de FFLM et de Linux Mint, il existe :
FFLM sur Twitter et FFLM sur IRC

Avatar du membre
Jeep
Messages : 46
Enregistré le : dim. 6 août 2017 12:44

Re: Faille de sécurité des processeurs Intel

Message par Jeep » mer. 10 janv. 2018 12:45

La mise à jour du noyaux comportant le patch KPTI (pour corriger la faille Meltdown, CVE-2017-5754 ) est arrivée dans les dépôts. C'est une mise à jour de niveau 4, Noyaux Linux 4.13.0-26.29~16.04.2 dans le gestionnaire de mise à jour.
PC portable : Samsung R780 - Intel Core i5 M430 - 8Go Ram - NVIDIA GeForce GT 330M
Linux Mint 18.3 64 bit - Cinnamon 3.6.7 - Noyau 4.10.0

Avatar du membre
Insam
Messages : 3483
Enregistré le : mer. 15 juil. 2015 15:03
Localisation : Breizh-Izel

Re: Faille de sécurité des processeurs Intel

Message par Insam » mer. 10 janv. 2018 13:41

J'ai mis ce matin le noyau à jour, celui recommandé sur le blog, mais c'est le 4.13.0-25 qui est indiqué sur le blog et non le 4.13.0-26 !

Apparemment pas de souci de ce coté.

Par contre il est recommandé de mettre le pilote nvidia à jour, mais la version donnée est celle que j'ai depuis bien avant la révélation de la faille, aucune maj ne m'est proposée.
Est-ce à dire que nvidia avait prévu le coup bien avant la révélation du souci ?
Image

Verrouillé